import { jsx } from "react/jsx-runtime";
import { TokenSHA as TokenSHA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSHA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SHA", "data-name": "TokenSHA", ...props, children: /* @__PURE__ */ jsx(TokenSHA$1, { variant }) });
  }
);
TokenSHA.displayName = "TokenSHA";
Object.assign(TokenSHA, { isGdsIcon: true });
export {
  TokenSHA
};
